%define name 	qscintilla
%define version 1.2
%define release 1mdk

%define scintilla 1.54
%define qtdir /usr/lib/qt3

%define major 	3
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %name %major -d

Summary:	QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source:		%{name}-%{scintilla}-x11-gpl-%{version}.tar.bz2
Patch:		%{name}-Mandrakization.patch.bz2
URL:		http://www.riverbankcomputing.co.uk/qscintilla
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libqt3-devel >= 3.1
Requires:	libqt3 > 3.1
Provides: 	lib%{name} = %{version}

%description
As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

%package -n %{libname}
Summary:	QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class
Group:		System/Libraries
Requires:	libqt3
Provides: 	lib%{name} = %{version}

%description -n %{libname}
As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

%package -n %{libnamedev}
Summary: Libraries, include and other files to develop applications with QScintilla.
Group: Development/KDE and Qt
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}

%description -n %{libnamedev}
This packages contains the libraries, include and other files
you can use to develop applications with QScintilla.


%prep 
rm -rf $RPM_BUILD_ROOT 

%setup -q -n %{name}-%{scintilla}-x11-gpl-%{version}
%patch -p1

%build
export QTDIR=%{qtdir}
export QMAKESPEC=%{qtdir}/mkspecs/linux-g++/
cd qt
%{qtdir}/bin/qmake -o Makefile qscintilla.pro
%{make} DESDIR=$RPM_BUILD_ROOT/$QTDIR/lib

%install 
# Copy headers
mkdir -p $RPM_BUILD_ROOT/%{qtdir}/include/
mkdir -p $RPM_BUILD_ROOT/%{qtdir}/translations
cp qt/qextscintilla*.h $RPM_BUILD_ROOT/%{qtdir}/include/
cp qt/qscintilla*.qm $RPM_BUILD_ROOT/%{qtdir}/translations/

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
 
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libnamedev}
%defattr(-, root, root, 755)
%{qtdir}/include/*
%{qtdir}/lib/libqscintilla.so

%files -n %{libname}
%defattr(-, root, root, 755)
%doc ChangeLog LICENSE NEWS README doc	
%{qtdir}/lib/libqscintilla.so.*
%{qtdir}/translations/qscintilla*.qm

%changelog
* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 1.2-1mdk
- 1.2
- major 3

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 1.1-2mdk
- rebuild for rpm

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 1.1-1mdk
- new URL
- new version
- new major

* Fri May 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- more mklibname
- from Jrme Martin <jerome.f.martin@free.fr> :
	- Version 1.0 (for sip/pyqt 3.6)

* Sat Mar  8 2003 Jerome Martin <jerome.f.martin@free.fr> 0.3-2mdk
- Fix pb

* Mon Dec  2 2002 Jerome Martin <jerome.f.martin@free.fr> 0.3-1mdk
- First release

